/*
 * Copyright 2006 The Xanot team
 */
package org.xanot;

/**
 * Xanot exception. All exception happening in xanot hopefully will be channeled
 * through this exception class.
 * 
 * @author Ferdinand Neman (newm4n _at_ gmail.com)
 */
public class XanotException extends Exception {
	private static final long serialVersionUID = 6316891431508730225L;

	/**
	 * Creates a new XanotException object.
	 */
	public XanotException() {
		super();
	}

	/**
	 * Creates a new XanotException object.
	 * 
	 * @param message
	 *            The message
	 * @param cause
	 *            The cause
	 */
	public XanotException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Creates a new XanotException object.
	 * 
	 * @param message
	 *            The message
	 */
	public XanotException(String message) {
		super(message);
	}

	/**
	 * Creates a new XanotException object.
	 * 
	 * @param cause
	 *            The cause
	 */
	public XanotException(Throwable cause) {
		super(cause);
	}
}
