/*
 * Copyright 2006 The Xanot team
 */
package org.xanot.structure;

/**
 * This rule defines that the current instance of object should contains
 * reference to parent.
 * 
 * @author fneman
 * 
 */
public class ParentReferenceRule extends XanotRule {

	private String attributeName = null;

	/**
	 * Create new instance of parent reference rule
	 * 
	 * @param path XML path
	 * @param attributeName Attribute of the object.
	 */
	public ParentReferenceRule(String path, String attributeName) {
		super(path);
		setAttributeName(attributeName);
	}

	/**
	 * Get the attributeName value.
	 * 
	 * @return Attribute Name Value.
	 */
	public String getAttributeName() {
		return attributeName;
	}

	/**
	 * Set the attributeName value.
	 * 
	 * @param attributeName Attribute Name new value
	 */
	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	/**
	 * Get string representation of this object.
	 * 
	 * @return String representation.
	 */
	public String toString() {
		return "ParentReferenceRule : [path:" + getPath() + "],[attributeName:"
				+ attributeName + "]";
	}

}
