/*
 * Copyright 2006 The Xanot team
 */
package org.xanot.structure;

/**
 * Base class for all Xanot Rules.
 * 
 * @author Ferdinand Neman (newm4n _at_ gmail.com)
 */
public abstract class XanotRule {
	private String path = null;

	/**
	 * Creates a new XanotRule object.
	 * 
	 * @param path
	 *            The element path. Usually equals to an xml element or
	 *            attribute name.
	 */
	public XanotRule(String path) {
		setPath(path);
	}

	/**
	 * Get the path
	 * 
	 * @return Returns the path.
	 */
	public String getPath() {
		return path;
	}

	/**
	 * Set the path
	 * 
	 * @param path
	 *            The path to set.
	 */
	public void setPath(String path) {
		this.path = path;
	}
}
