/*
 * Copyright 2006 The Xanot team
 */
package org.xanot.util;

import java.util.ArrayList;

/**
 * Helper class acting like an ArrayList, in fact it was build using ArrayList
 * as it storage. It stores list of object pairs.
 * 
 * @author Ferdinand Neman (newm4n _at_ gmail.com)
 */
public class UniquePairs {
	private ArrayList<Pair> pairs = new ArrayList<Pair>();

	/**
	 * Add new pair
	 * 
	 * @param a
	 *            First object
	 * @param b
	 *            Second object
	 */
	public void addPair(Object a, Object b) {
		pairs.add(new Pair(a, b));
	}

	/**
	 * Chech wether an object pair is exist
	 * 
	 * @param a
	 *            First object
	 * @param b
	 *            Second object
	 * @return True if pair exist, False if not exist.
	 */
	public boolean isPairExist(Object a, Object b) {
		for (Pair p : pairs) {
			if (p.a.equals(a) && p.b.equals(b)) {
				return true;
			}
		}

		return false;
	}

	/**
	 * A pair.
	 * 
	 * @author Ferdinand Neman (newm4n _at_ gmail.com)
	 */
	class Pair {
		Object a;

		Object b;

		/**
		 * Instantiate a pair
		 * 
		 * @param a
		 *            First object
		 * @param b
		 *            Second object
		 */
		public Pair(Object a, Object b) {
			this.a = a;
			this.b = b;
		}
	}
}
